import { world } from "mojang-minecraft";
import { BlockLocation } from "mojang-minecraft";

world.events.blockBreak.subscribe((blockEvent) => {
  let p = blockEvent.player;
  let block = blockEvent.block;

  let location = [
  blockEvent.block.location.x,
  blockEvent.block.location.y,
  blockEvent.block.location.z
  ];

  let container = p.getComponent("inventory").container;
  let hand = container.getItem(p.selectedSlot);

  if (hand.id == "minecraft:diamond_pickaxe" && p.isSneaking == true) {
      p.runCommand(`summon new:pickaxe ${location[0]} ${location[1]} ${location[2]} new:diamond_function`);
      p.runCommand(`playsound random.pickaxe @s ~~~ 4 1 4`);
      p.runCommand(`particle new:polvo ${location[0]} ${location[1]} ${location[2]}`);
  }
  if (hand.id == "minecraft:netherite_pickaxe" && p.isSneaking == true) {
      p.runCommand(`summon new:pickaxe ${location[0]} ${location[1]} ${location[2]} new:diamond_function`);
      p.runCommand(`playsound random.pickaxe @s ~~~ 4 1 4`);
      p.runCommand(`particle new:polvo ${location[0]} ${location[1]} ${location[2]}`);
  }
  if (hand.id == "minecraft:iron_pickaxe" && p.isSneaking == true) {
      p.runCommand(`summon new:pickaxe ${location[0]} ${location[1]} ${location[2]} new:iron_function`);
      p.runCommand(`playsound random.pickaxe @s ~~~ 4 1 4`);
      p.runCommand(`particle new:polvo ${location[0]} ${location[1]} ${location[2]}`);
  }
  if (hand.id == "minecraft:golden_pickaxe" && p.isSneaking == true) {
      p.runCommand(`summon new:pickaxe ${location[0]} ${location[1]} ${location[2]} new:wood_function`);
      p.runCommand(`playsound random.pickaxe @s ~~~ 4 1 4`);
      p.runCommand(`particle new:polvo ${location[0]} ${location[1]} ${location[2]}`);
  }
  if (hand.id == "minecraft:wooden_pickaxe" && p.isSneaking == true) {
      p.runCommand(`summon new:pickaxe ${location[0]} ${location[1]} ${location[2]} new:wood_function`);
      p.runCommand(`playsound random.pickaxe @s ~~~ 4 1 4`);
      p.runCommand(`particle new:polvo ${location[0]} ${location[1]} ${location[2]}`);
  }
  if (hand.id == "minecraft:stone_pickaxe" && p.isSneaking == true) {
      p.runCommand(`summon new:pickaxe ${location[0]} ${location[1]} ${location[2]} new:stone_function`);
      p.runCommand(`playsound random.pickaxe @s ~~~ 4 1 4`);
      p.runCommand(`particle new:polvo ${location[0]} ${location[1]} ${location[2]}`);
  }

});
